kcapi_aead_getdata_output
Prev | AEAD Cipher API - Generic | Next

## Name

kcapi_aead_getdata_output — get the pointers into output buffer

## Synopsis

`void kcapi_aead_getdata_output (` | struct kcapi_handle * handle,
| uint8_t * encdata,
| uint32_t encdatalen,
| int enc,
| uint8_t ** aad,
| uint32_t * aadlen,
| uint8_t ** data,
| uint32_t * datalen,
| uint8_t ** tag,
| uint32_t * taglen`)`;

## Arguments

`handle`

  [in] cipher handle

`encdata`

  [in] data buffer returned by the encryption operation

`encdatalen`

  [in] size of the encryption data buffer

`enc`

  [in] does output buffer hold encryption or decryption result?

`aad`

  [out] AD buffer pointer; when set to NULL, no data pointer is returned; returned pointer may also be NULL

`aadlen`

  [out] length of AD; when aad was set to NULL, no information is returned

`data`

  [out] pointer to output buffer from AEAD encryption operation when set to NULL, no data pointer is returned

`datalen`

  [out] length of data buffer; when data was set to NULL, no information is returned

`tag`

  [out] tag buffer pointer; when set to NULL, no data pointer is returned; returned pointer may also be NULL

`taglen`

  [out] length of tag; when tag was set to NULL, no information is returned

## Description

This function is a service function to the consumer to locate the right ciphertext buffer offset holding the authentication tag. In addition, it provides the consumer with the length of the tag and the length of the ciphertext.

Prev | Up | Next
kcapi_aead_getdata_input | Home | Synchronous AEAD Cipher API - One Shot